Subject: Re: espacement vertical non régulier

From: athanor <[email-masked]>
Date: Fri, 9 Jan 2009 14:49:21 -0800 (PST)

athanor wrote:
> 
> Bonjour 
> Je suis complètement novice dans l'utilisation de lilypond ..
> C'est la création de partions d'exercice de batterie pour mes élèves qui
> ma emmené à l'utiliser , c'est je trouve le logiciel le plus apte à faire
> de belle partition  pour la drum !!
> 
> J'ai trouvé un tutoriel la dessus spécialement et je fait avec mais j'ai
> un problème pour la mise en page finale ..
> C'est pour un exercice , j'ai mit 2 portées par ligne a l'aide de \break
> pour aérer  mais je voudrai aussi aérer entre type d'exercices différents
> ( exemple: 8 mesure de tel exercice " un espace plus grand"  4 mesure de
> tel autre "espace plus grand"  etc ...  etc ...)
> 
> Étant minable complet en anglais j'ai du mal avec les passages de la doc
> non traduit (Sacré boulot !! et merci a ceux qui si attèle !) 
> 
> J'espère être assez clair .. si ça peut servir je met mon code de partoche
> :
> 
> \version "2.10.33"
> \header {
>   title = "Coordination en croches"
>   composer = ""
> }
> \paper{
>    
>   }
> 
> 
> \new DrumStaff 
> <<    
>          
> 
> 	\new DrumVoice = "1" { s1 *1 } % voix du haut (une mesure)
> 	\new DrumVoice = "2" { s1 *1 } % voix du bas (une mesure)
> 	\drummode
>                 
>          
> 	{     
>   
> 		#(override-auto-beam-setting '(end * * 4 4) 3 4 'Score) 
> 		#(override-auto-beam-setting '(end * * 4 4) 1 4 'Score)
> 		% Les deux lignes précédentes permettent de
> 		% grouper les croches par deux au lieu de
> 		% quatre dans la configuration par défaut.
>                 
> 		<<   
> 			{
> 				 
> 			} 
> 			\\ 
> 			{ \bar"|:" \repeat volta 2 \repeat unfold 2 { bd8 sn^"G" sn^"D" sn^"G"} 
>                          \repeat volta 2 \repeat unfold 2 {sn^"D" bd
> sn^"D" sn^"G" } \break
> 			 \repeat volta 2 \repeat unfold 2 {sn^"D" sn^"G" bd sn^"G" } 
>                          \repeat volta 2 \repeat unfold 2 {sn^"D" sn^"G"
> sn^"D" bd} \break 	                    
>                          \repeat volta 2 \repeat unfold 2 { bd8 sn^"G"
> sn4^"D" } 
>                          \repeat volta 2 \repeat unfold 2 {sn8^"D" bd r 
> sn^"G" } \break
> 			 \repeat volta 2 \repeat unfold 2 {sn^"D" sn^"G" bd4  } 
>                           \repeat volta 2 \repeat unfold 2 {r8 sn^"G"
> sn^"D" bd}\break         
> 
>                           \repeat volta 2 \repeat unfold 2 {bd8 bd sn^"D"
> sn^"G" } 
>                           \repeat volta 2 \repeat unfold 2 {sn^"D" sn^"G"
> bd bd} \break
>                           \repeat volta 2 \repeat unfold 2 {bd  sn^"G"
> sn^"D" bd } 
>                          \repeat volta 2 \repeat unfold 2 {sn^"D" bd bd
> sn^"G"} \break 
>                          \repeat volta 2  {bd bd sn^"D" sn^"G" sn^"D"
> sn^"D" sn^"G" sn^"G"} 
>                           \repeat volta 2  {sn^"D" sn^"G" bd bd sn^"D"
> sn^"D" sn^"G" sn^"G" } \break
>                           \repeat volta 2  {sn^"D" sn^"D" sn^"G" sn^"G" bd
> bd sn^"D" sn^"G"} 
>                           \repeat volta 2  {sn^"D" sn^"D" sn^"G" sn^"G"
> sn^"D" sn^"G" bd bd} \break
>                          \repeat volta 2  {bd  sn^"G" sn^"D" bd sn^"D" bd
> bd sn^"G"} 
>                          \repeat volta 2 {sn^"D" bd bd sn^"G" bd  sn^"G"
> sn^"D" bd} \break
> 			} 
> 		>> 
>    
>                       
> 
>                    
> 	} 
>>>
> 
> 

-- 
View this message in context: http://n2.nabble.com/espacement-vertical-non-r%C3%A9gulier-tp2128450p2135722.html
Sent from the LilyPond French Users mailing list archive at Nabble.com.

---

From: athanor <[email-masked]>
Date: Thu, 8 Jan 2009 07:36:10 -0800 (PST)

Bonjour 
Je suis complètement novice dans l'utilisation de lilypond ..
C'est la création de partions d'exercice de batterie pour mes élèves qui ma
emmené à l'utiliser , c'est je trouve le logiciel le plus apte à faire de
belle partition  pour la drum !!

J'ai trouvé un tutoriel la dessus spécialement et je fait avec mais j'ai un
problème pour la mise en page finale ..
C'est pour un exercice , j'ai mit 2 portées par ligne a l'aide de \break
pour aérer  mais je voudrai aussi aérer entre type d'exercices différents (
exemple: 8 mesure de tel exercice " un espace plus grand"  4 mesure de tel
autre "espace plus grand"  etc ...  etc ...)

Étant minable complet en anglais j'ai du mal avec les passages de la doc non
traduit (Sacré boulot !! et merci a ceux qui si attèle !) 

J'espère être assez clair .. si ça peut servir je met mon code de partoche :

\version "2.10.33"
\header {
   
  }

\new DrumStaff 
<<    

	{     

		<<   
			{
				 
			} 
			\\ 
			{ \bar"|:" \repeat volta 2 \repeat unfold 2 { bd8 sn^"G" sn^"D" sn^"G"} 
                         \repeat volta 2 \repeat unfold 2 {sn^"D" bd sn^"D"
sn^"G" } \break
			 \repeat volta 2 \repeat unfold 2 {sn^"D" sn^"G" bd sn^"G" } 
                         \repeat volta 2 \repeat unfold 2 {sn^"D" sn^"G"
sn^"D" bd} \break 	                    
                         \repeat volta 2 \repeat unfold 2 { bd8 sn^"G"
sn4^"D" } 
                         \repeat volta 2 \repeat unfold 2 {sn8^"D" bd r 
sn^"G" } \break
			 \repeat volta 2 \repeat unfold 2 {sn^"D" sn^"G" bd4  } 
                          \repeat volta 2 \repeat unfold 2 {r8 sn^"G" sn^"D"
bd}\break         

                          \repeat volta 2 \repeat unfold 2 {bd8 bd sn^"D"
sn^"G" } 
                          \repeat volta 2 \repeat unfold 2 {sn^"D" sn^"G" bd
bd} \break
                          \repeat volta 2 \repeat unfold 2 {bd  sn^"G"
sn^"D" bd } 
                         \repeat volta 2 \repeat unfold 2 {sn^"D" bd bd
sn^"G"} \break 
                         \repeat volta 2  {bd bd sn^"D" sn^"G" sn^"D" sn^"D"
sn^"G" sn^"G"} 
                          \repeat volta 2  {sn^"D" sn^"G" bd bd sn^"D"
sn^"D" sn^"G" sn^"G" } \break
                          \repeat volta 2  {sn^"D" sn^"D" sn^"G" sn^"G" bd
bd sn^"D" sn^"G"} 
                          \repeat volta 2  {sn^"D" sn^"D" sn^"G" sn^"G"
sn^"D" sn^"G" bd bd} \break
                         \repeat volta 2  {bd  sn^"G" sn^"D" bd sn^"D" bd bd
sn^"G"} 
                         \repeat volta 2 {sn^"D" bd bd sn^"G" bd  sn^"G"
sn^"D" bd} \break
			} 

	} 

-- 
View this message in context: http://n2.nabble.com/espacement-vertical-non-r%C3%A9gulier-tp2128450p2128450.html
Sent from the LilyPond French Users mailing list archive at Nabble.com.

---

From: "Gilles THIBAULT" <[email-masked]>
Date: Wed, 14 Jan 2009 23:11:11 +0100

> pour aérer  mais je voudrai aussi aérer entre type d'exercices différents

Il faut jongler avec avec les valeurs de  ragged-bottom et de 
ragged-last-bottom dans la section \paper.

En rajoutant simplement
\paper{
  ragged-last-bottom = ##f
 }
, on obtient une partition plus aérée.

Dommage que cette commande ne prenne pas en compte les titres et les notes 
de bas de pages.

Gilles